Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » PHP Development Tools (PDT) » PDT dependecies
PDT dependecies [message #69479] Fri, 25 April 2008 22:00 Go to next message
Hertzel Armengol is currently offline Hertzel ArmengolFriend
Messages: 19
Registered: July 2009
Junior Member
HI I'm just trying to create my perfect PDT env, an for achieving that I
need to trim the base core eclipse system, but in order to do it I
need to know exaclty which packages does PDE require to work

EMF for example is a big framework and im pretty sure that yuy're not
using it at it's fullness .

so far I have removed

java, ant, cvs, a few emf, and others... and my eclipse just eats 6mbs
of ram without any open project now, nice huh :)
Re: PDT dependecies [message #69518 is a reply to message #69479] Mon, 28 April 2008 06:40 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: spam.networks.fi

On Sat, 26 Apr 2008 01:00:41 +0300, Hertzel Armengol <emudojo@gmail.com>
wrote:

> HI I'm just trying to create my perfect PDT env, an for achieving that I
> need to trim the base core eclipse system, but in order to do it I
> need to know exaclty which packages does PDE require to work
>
> EMF for example is a big framework and im pretty sure that yuy're not
> using it at it's fullness .
>
> so far I have removed
>
> java, ant, cvs, a few emf, and others... and my eclipse just eats 6mbs
> of ram without any open project now, nice huh :)

And then you install a update which uses something new.. and all hell
breaks loose :)
Cheers,
jasmo
Re: PDT dependecies [message #69538 is a reply to message #69479] Mon, 28 April 2008 14:55 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: jacob.datajoe.com

Any way to package that? I am sure there are a LOT of people who would
be interested!

Hertzel Armengol wrote:
> HI I'm just trying to create my perfect PDT env, an for achieving that I
> need to trim the base core eclipse system, but in order to do it I need
> to know exaclty which packages does PDE require to work
>
> EMF for example is a big framework and im pretty sure that yuy're not
> using it at it's fullness .
>
> so far I have removed
>
> java, ant, cvs, a few emf, and others... and my eclipse just eats 6mbs
> of ram without any open project now, nice huh :)
Re: PDT dependencies [message #69578 is a reply to message #69538] Tue, 29 April 2008 17:53 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: codeslave.ca.ibm.com

If PDT is correctly depending on EMF *plugins* instead of *features*
then only the minimum required plugins and their much-smaller-containing
features will be used. This change was done for WTP's benefit last year
-- PDT ought to do the same, as it depends on WTP in turn.

I recommend opening a bug against PDT asking that they depend on the
smaller EMF features and/or just the plugins. Then your install
experience will be much smaller.

https://bugs.eclipse.org/bugs/enter_bug.cgi?product=PDT

Post this link in the bug for their reference:

http://wiki.eclipse.org/EMF/EMF_2.3/New_Features_Migration_G uide

Cheers,

Nick

Jacob Fogg wrote:
> Any way to package that? I am sure there are a LOT of people who would
> be interested!
>
> Hertzel Armengol wrote:
>> HI I'm just trying to create my perfect PDT env, an for achieving that
>> I need to trim the base core eclipse system, but in order to do it I
>> need to know exaclty which packages does PDE require to work
>>
>> EMF for example is a big framework and im pretty sure that yuy're not
>> using it at it's fullness .
>>
>> so far I have removed
>>
>> java, ant, cvs, a few emf, and others... and my eclipse just eats 6mbs
>> of ram without any open project now, nice huh :)
Re: PDT dependencies [message #69617 is a reply to message #69578] Tue, 29 April 2008 18:03 Go to previous message
Hertzel Armengol is currently offline Hertzel ArmengolFriend
Messages: 19
Registered: July 2009
Junior Member
Done
https://bugs.eclipse.org/bugs/show_bug.cgi?id=229421
hope it helps


Nick Boldt wrote:
> If PDT is correctly depending on EMF *plugins* instead of *features*
> then only the minimum required plugins and their much-smaller-containing
> features will be used. This change was done for WTP's benefit last year
> -- PDT ought to do the same, as it depends on WTP in turn.
>
> I recommend opening a bug against PDT asking that they depend on the
> smaller EMF features and/or just the plugins. Then your install
> experience will be much smaller.
>
> https://bugs.eclipse.org/bugs/enter_bug.cgi?product=PDT
>
> Post this link in the bug for their reference:
>
> http://wiki.eclipse.org/EMF/EMF_2.3/New_Features_Migration_G uide
>
> Cheers,
>
> Nick
>
> Jacob Fogg wrote:
>> Any way to package that? I am sure there are a LOT of people who
>> would be interested!
>>
>> Hertzel Armengol wrote:
>>> HI I'm just trying to create my perfect PDT env, an for achieving
>>> that I need to trim the base core eclipse system, but in order to do
>>> it I need to know exaclty which packages does PDE require to work
>>>
>>> EMF for example is a big framework and im pretty sure that yuy're not
>>> using it at it's fullness .
>>>
>>> so far I have removed
>>>
>>> java, ant, cvs, a few emf, and others... and my eclipse just eats
>>> 6mbs of ram without any open project now, nice huh :)
Previous Topic:Problem installing build I20080407
Next Topic:No folding, no code completion... this used to work... what happened?
Goto Forum:
  


Current Time: Wed Feb 08 08:37:14 GMT 2023

Powered by FUDForum. Page generated in 0.04117 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top